diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
index aed928b3c..b6585226a 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.block.entity.TileEntity;
-import net.minecraft.core.block.material.Material;
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.block.support.ISupport;
 import net.minecraft.core.block.support.ISupportable;
 import net.minecraft.core.block.support.PartialSupport;
@@ -11,12 +11,13 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.primitives.AABBdc;
 
 import java.util.ArrayList;
 import java.util.HashSet;
@@ -34,12 +35,12 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     private final Set<TilePos> toUpdate = new HashSet<>();
 
     public BlockLogicWireRedstone(@NotNull Block<?> block) {
-        super(block, Material.decoration);
+        super(block, Materials.DECORATION);
         setBlockBounds(0.0F, 0.0F, 0.0F, 1.0F, 0.0625F, 1.0F);
     }
 
     @Override
-    public @Nullable AABB getCollisionAABB(@NotNull WorldSource source, @NotNull TilePos tilePos) {
+    public @Nullable AABBdc getCollisionAABB(@NotNull WorldSource source, @NotNull TilePosc tilePos) {
         return null;
     }
 
@@ -54,16 +55,16 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     @Override
-    public @NotNull ISupport getSupport(@NotNull World world, @NotNull TilePos tilePos, @NotNull Side side) {
+    public @NotNull ISupport getSupport(@NotNull World world, @NotNull TilePosc tilePos, @NotNull Side side) {
         return PartialSupport.INSTANCE;
     }
 
     @Override
-    public boolean canPlaceAt(@NotNull World world, @NotNull TilePos tilePos) {
+    public boolean canPlaceAt(@NotNull World world, @NotNull TilePosc tilePos) {
         return isSupported(world, tilePos, Side.BOTTOM);
     }
 
-    private void updatePowerStrength(@NotNull World world, @NotNull TilePos tilePos) {
+    private void updatePowerStrength(@NotNull World world, @NotNull TilePosc tilePos) {
         updatePowerStrength(world, tilePos, tilePos);
         ArrayList<TilePos> toUpdate = new ArrayList<>(this.toUpdate);
         this.toUpdate.clear();
@@ -72,36 +73,37 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         }
     }
 
-    private void updatePowerStrength(@NotNull World world, @NotNull TilePos curPos, @NotNull TilePos lastPos) {
+    private void updatePowerStrength(@NotNull World world, @NotNull TilePosc curPos, @NotNull TilePosc lastPos) {
         int strength = world.getBlockData(curPos);
         int newStrength = 0;
         this.shouldSignal = false;
         boolean hasNeighborSignal = world.hasNeighborSignal(curPos);
         this.shouldSignal = true;
+        TilePos queryPos = new TilePos();
         if (hasNeighborSignal) {
             newStrength = 15;
         } else {
             for (int i = 0; i < 4; i++) {
-                TilePos iPos = new TilePos(curPos);
+                int checkX = curPos.x();
+                int checkY = curPos.y();
+                int checkZ = curPos.z();
                 switch (i) {
-                    case 0 -> iPos.x--;
-                    case 1 -> iPos.x++;
-                    case 2 -> iPos.z--;
-                    case 3 -> iPos.z++;
+                    case 0 -> checkX--;
+                    case 1 -> checkX++;
+                    case 2 -> checkZ--;
+                    case 3 -> checkZ++;
                 }
-                if (!iPos.equals(lastPos)) {
-                    newStrength = checkTarget(world, iPos, newStrength);
+                if (!lastPos.equals(checkX, checkY, checkZ)) {
+                    newStrength = checkTarget(world, queryPos.set(checkX, checkY, checkZ), newStrength);
                 }
-                if (world.isBlockNormalCube(iPos) && !world.isBlockNormalCube(curPos.up())) {
-                    TilePos iUp = iPos.up();
-                    if (!iUp.equals(lastPos)) {
-                        newStrength = checkTarget(world, iUp, newStrength);
+                if (world.isBlockNormalCube(queryPos.set(checkX, checkY, checkZ)) && !world.isBlockNormalCube(curPos.up(queryPos))) {
+                    if (!queryPos.set(checkX, checkY + 1, checkZ).equals(lastPos)) {
+                        newStrength = checkTarget(world, queryPos.set(checkX, checkY + 1, checkZ), newStrength);
                     }
                     continue;
                 }
-                TilePos iDown = iPos.down();
-                if (!world.isBlockNormalCube(iPos) && !iDown.equals(lastPos)) {
-                    newStrength = checkTarget(world, iDown, newStrength);
+                if (!world.isBlockNormalCube(queryPos.set(checkX, checkY, checkZ)) && !lastPos.equals(checkX, checkY - 1, checkZ)) {
+                    newStrength = checkTarget(world, queryPos.set(checkX, checkY - 1, checkZ), newStrength);
                 }
             }
 
@@ -120,140 +122,134 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
                 world.noNeighborUpdate = false;
             }
             for (int i = 0; i < 4; i++) {
-                TilePos iPos = curPos.down();
+                int checkX = curPos.x();
+                int checkY = curPos.y() - 1;
+                int checkZ = curPos.z();
                 switch (i) {
-                    case 0 -> iPos.x--;
-                    case 1 -> iPos.x++;
-                    case 2 -> iPos.z--;
-                    case 3 -> iPos.z++;
+                    case 0 -> checkX--;
+                    case 1 -> checkX++;
+                    case 2 -> checkZ--;
+                    case 3 -> checkZ++;
                 }
-                if (world.isBlockNormalCube(new TilePos(iPos.x, curPos.y, iPos.z))) {
-                    iPos.y += 2;
+                if (world.isBlockNormalCube(queryPos.set(checkX, curPos.y(), checkZ))) {
+                    checkY += 2;
                 }
-                int targetStrength = checkTarget(world, new TilePos(iPos.x, curPos.y, iPos.z), -1);
+                int targetStrength = checkTarget(world, queryPos.set(checkX, curPos.y(), checkZ), -1);
                 newStrength = world.getBlockData(curPos) & MASK_POWER;
                 if (newStrength > 0) {
                     newStrength--;
                 }
                 if (targetStrength >= 0 && targetStrength != newStrength) {
-                    updatePowerStrength(world, new TilePos(iPos.x, curPos.y, iPos.z), curPos);
+                    updatePowerStrength(world, queryPos.set(checkX, curPos.y(), checkZ), curPos);
                 }
-                targetStrength = checkTarget(world, iPos, -1);
+                targetStrength = checkTarget(world, queryPos.set(checkX, checkY, checkZ), -1);
                 newStrength = world.getBlockData(curPos) & MASK_POWER;
                 if (newStrength > 0) {
                     newStrength--;
                 }
                 if (targetStrength >= 0 && targetStrength != newStrength) {
-                    updatePowerStrength(world, iPos, curPos);
+                    updatePowerStrength(world, queryPos.set(checkX, checkY, checkZ), curPos);
                 }
             }
 
             if (strength == 0 || newStrength == 0) {
                 this.toUpdate.add(new TilePos(curPos));
-                this.toUpdate.add(curPos.west());
-                this.toUpdate.add(curPos.east());
-                this.toUpdate.add(curPos.down());
-                this.toUpdate.add(curPos.up());
-                this.toUpdate.add(curPos.north());
-                this.toUpdate.add(curPos.south());
+                this.toUpdate.add(curPos.west(new TilePos()));
+                this.toUpdate.add(curPos.east(new TilePos()));
+                this.toUpdate.add(curPos.down(new TilePos()));
+                this.toUpdate.add(curPos.up(new TilePos()));
+                this.toUpdate.add(curPos.north(new TilePos()));
+                this.toUpdate.add(curPos.south(new TilePos()));
             }
         }
     }
 
-    private void checkCornerChangeAt(@NotNull World world, @NotNull TilePos tilePos) {
+    private void checkCornerChangeAt(@NotNull World world, @NotNull TilePosc tilePos) {
         if (world.getBlockId(tilePos) == id()) {
+            TilePos queryPos = new TilePos();
             world.notifyBlocksOfNeighborChange(tilePos, id());
-            world.notifyBlocksOfNeighborChange(tilePos.west(), id());
-            world.notifyBlocksOfNeighborChange(tilePos.east(), id());
-            world.notifyBlocksOfNeighborChange(tilePos.north(), id());
-            world.notifyBlocksOfNeighborChange(tilePos.south(), id());
-            world.notifyBlocksOfNeighborChange(tilePos.up(), id());
-            world.notifyBlocksOfNeighborChange(tilePos.down(), id());
+            world.notifyBlocksOfNeighborChange(tilePos.west(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos.east(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos.north(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos.south(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
         }
     }
 
     @Override
-    public void onPlacedByWorld(@NotNull World world, @NotNull TilePos tilePos) {
+    public void onPlacedByWorld(@NotNull World world, @NotNull TilePosc tilePos) {
         super.onPlacedByWorld(world, tilePos);
         if (world.isClientSide) {
             return;
         }
-        TilePos up = tilePos.up();
-        TilePos down = tilePos.down();
-        TilePos north = tilePos.north();
-        TilePos south = tilePos.south();
-        TilePos west = tilePos.west();
-        TilePos east = tilePos.east();
-//        updatePowerStrength(world, x, y, z);
+        TilePos queryPos = new TilePos();
+
+        //        updatePowerStrength(world, x, y, z);
         world.getWireHandler().onWireAdded(tilePos);
-        world.notifyBlocksOfNeighborChange(up, id());
-        world.notifyBlocksOfNeighborChange(down, id());
-        checkCornerChangeAt(world, west);
-        checkCornerChangeAt(world, east);
-        checkCornerChangeAt(world, north);
-        checkCornerChangeAt(world, south);
-        if (world.isBlockNormalCube(west)) {
-            checkCornerChangeAt(world, west.up());
+        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
+        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
+        checkCornerChangeAt(world, tilePos.west(queryPos));
+        checkCornerChangeAt(world, tilePos.east(queryPos));
+        checkCornerChangeAt(world, tilePos.north(queryPos));
+        checkCornerChangeAt(world, tilePos.south(queryPos));
+        if (world.isBlockNormalCube(tilePos.west(queryPos))) {
+            checkCornerChangeAt(world, tilePos.west(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, west.down());
+            checkCornerChangeAt(world, tilePos.west(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(east)) {
-            checkCornerChangeAt(world, east.up());
+        if (world.isBlockNormalCube(tilePos.east(queryPos))) {
+            checkCornerChangeAt(world, tilePos.east(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, east.down());
+            checkCornerChangeAt(world, tilePos.east(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(north)) {
-            checkCornerChangeAt(world, north.up());
+        if (world.isBlockNormalCube(tilePos.north(queryPos))) {
+            checkCornerChangeAt(world, tilePos.north(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, north.down());
+            checkCornerChangeAt(world, tilePos.north(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(south)) {
-            checkCornerChangeAt(world, south.up());
+        if (world.isBlockNormalCube(tilePos.south(queryPos))) {
+            checkCornerChangeAt(world, tilePos.south(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, south.down());
+            checkCornerChangeAt(world, tilePos.south(queryPos).down(queryPos));
         }
     }
 
     @Override
-    public void onRemoved(@NotNull World world, @NotNull TilePos tilePos, int data) {
+    public void onRemoved(@NotNull World world, @NotNull TilePosc tilePos, int data) {
         super.onRemoved(world, tilePos, data);
         if (world.isClientSide) {
             return;
         }
-        TilePos up = tilePos.up();
-        TilePos down = tilePos.down();
-        TilePos north = tilePos.north();
-        TilePos south = tilePos.south();
-        TilePos west = tilePos.west();
-        TilePos east = tilePos.east();
-
-        world.notifyBlocksOfNeighborChange(up, id());
-        world.notifyBlocksOfNeighborChange(down, id());
+
+        TilePos queryPos = new TilePos();
+        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
+        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
 //        updatePowerStrength(world, x, y, z);
         world.getWireHandler().onWireRemoved(tilePos, new BlockState(this.id(), world.getBlockData(tilePos)));
-        checkCornerChangeAt(world, west);
-        checkCornerChangeAt(world, east);
-        checkCornerChangeAt(world, north);
-        checkCornerChangeAt(world, south);
-        if (world.isBlockNormalCube(west)) {
-            checkCornerChangeAt(world, west.up());
+        checkCornerChangeAt(world, tilePos.west(queryPos));
+        checkCornerChangeAt(world, tilePos.east(queryPos));
+        checkCornerChangeAt(world, tilePos.north(queryPos));
+        checkCornerChangeAt(world, tilePos.south(queryPos));
+        if (world.isBlockNormalCube(tilePos.west(queryPos))) {
+            checkCornerChangeAt(world, tilePos.west(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, west.down());
+            checkCornerChangeAt(world, tilePos.west(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(east)) {
-            checkCornerChangeAt(world, east.up());
+        if (world.isBlockNormalCube(tilePos.east(queryPos))) {
+            checkCornerChangeAt(world, tilePos.east(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, east.down());
+            checkCornerChangeAt(world, tilePos.east(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(north)) {
-            checkCornerChangeAt(world, north.up());
+        if (world.isBlockNormalCube(tilePos.north(queryPos))) {
+            checkCornerChangeAt(world, tilePos.north(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, north.down());
+            checkCornerChangeAt(world, tilePos.north(queryPos).down(queryPos));
         }
-        if (world.isBlockNormalCube(south)) {
-            checkCornerChangeAt(world, south.up());
+        if (world.isBlockNormalCube(tilePos.south(queryPos))) {
+            checkCornerChangeAt(world, tilePos.south(queryPos).up(queryPos));
         } else {
-            checkCornerChangeAt(world, south.down());
+            checkCornerChangeAt(world, tilePos.south(queryPos).down(queryPos));
         }
     }
 
@@ -267,7 +263,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     @Override
-    public void onNeighborChanged(@NotNull World world, @NotNull TilePos tilePos, int id) {
+    public void onNeighborChanged(@NotNull World world, @NotNull TilePosc tilePos, int id) {
         if (world.isClientSide || world.getWireHandler().onWireUpdated(tilePos)) {
             return;
         }
@@ -288,12 +284,12 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     @Override
-    public boolean isEmittingDirectSignal(@NotNull World world, @NotNull TilePos tilePos, @NotNull Side side) {
+    public boolean isEmittingDirectSignal(@NotNull World world, @NotNull TilePosc tilePos, @NotNull Side side) {
         return this.shouldSignal && isEmittingSignal(world, tilePos, side);
     }
 
     @Override
-    public boolean isEmittingSignal(@NotNull WorldSource source, @NotNull TilePos tilePos, @NotNull Side side) {
+    public boolean isEmittingSignal(@NotNull WorldSource source, @NotNull TilePosc tilePos, @NotNull Side side) {
         if (!this.shouldSignal) {
             return false;
         }
@@ -305,37 +301,38 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
             return true;
         }
 
+        TilePos queryPos = new TilePos();
         boolean negXShouldConnectTo =
-            shouldConnectTo(source, tilePos.add(-1, 0, 0), Side.WEST) ||
-                !source.isBlockNormalCube(tilePos.add(-1, 0, 0)) &&
-                    shouldConnectToDiagonal(source, tilePos.add(-1, -1, 0), Side.NONE, Side.BOTTOM);
+            shouldConnectTo(source, tilePos.add(-1, 0, 0, queryPos), Side.WEST) ||
+                !source.isBlockNormalCube(tilePos.add(-1, 0, 0, queryPos)) &&
+                    shouldConnectToDiagonal(source, tilePos.add(-1, -1, 0, queryPos), Side.NONE, Side.BOTTOM);
 
         boolean posXShouldConnectTo =
-            shouldConnectTo(source, tilePos.add( 1, 0, 0), Side.EAST) ||
-                !source.isBlockNormalCube(tilePos.add( 1, 0, 0)) &&
-                    shouldConnectToDiagonal(source, tilePos.add( 1, -1, 0), Side.NONE, Side.BOTTOM);
+            shouldConnectTo(source, tilePos.add(1, 0, 0, queryPos), Side.EAST) ||
+                !source.isBlockNormalCube(tilePos.add(1, 0, 0, queryPos)) &&
+                    shouldConnectToDiagonal(source, tilePos.add(1, -1, 0, queryPos), Side.NONE, Side.BOTTOM);
 
         boolean negZShouldConnectTo =
-            shouldConnectTo(source, tilePos.add(0, 0, -1), Side.NORTH) ||
-                !source.isBlockNormalCube(tilePos.add(0, 0, -1)) &&
-                    shouldConnectToDiagonal(source, tilePos.add(0, -1, -1), Side.NONE, Side.BOTTOM);
+            shouldConnectTo(source, tilePos.add(0, 0, -1, queryPos), Side.NORTH) ||
+                !source.isBlockNormalCube(tilePos.add(0, 0, -1, queryPos)) &&
+                    shouldConnectToDiagonal(source, tilePos.add(0, -1, -1, queryPos), Side.NONE, Side.BOTTOM);
 
         boolean posZShouldConnectTo =
-            shouldConnectTo(source, tilePos.add(0, 0, 1), Side.SOUTH) ||
-                !source.isBlockNormalCube(tilePos.add(0, 0, 1)) &&
-                    shouldConnectToDiagonal(source, tilePos.add(0, -1, 1), Side.NONE, Side.BOTTOM);
+            shouldConnectTo(source, tilePos.add(0, 0, 1, queryPos), Side.SOUTH) ||
+                !source.isBlockNormalCube(tilePos.add(0, 0, 1, queryPos)) &&
+                    shouldConnectToDiagonal(source, tilePos.add(0, -1, 1, queryPos), Side.NONE, Side.BOTTOM);
 
-        if (!source.isBlockNormalCube(tilePos.up())) {
-            if (source.isBlockNormalCube(tilePos.add(-1, 0, 0)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0), Side.NONE, Side.TOP)) {
+        if (!source.isBlockNormalCube(tilePos.up(queryPos))) {
+            if (source.isBlockNormalCube(tilePos.add(-1, 0, 0, queryPos)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0, queryPos), Side.NONE, Side.TOP)) {
                 negXShouldConnectTo = true;
             }
-            if (source.isBlockNormalCube(tilePos.add( 1, 0, 0)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0), Side.NONE, Side.TOP)) {
+            if (source.isBlockNormalCube(tilePos.add(1, 0, 0, queryPos)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0, queryPos), Side.NONE, Side.TOP)) {
                 posXShouldConnectTo = true;
             }
-            if (source.isBlockNormalCube(tilePos.add(0, 0, -1)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0), Side.NONE, Side.TOP)) {
+            if (source.isBlockNormalCube(tilePos.add(0, 0, -1, queryPos)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0, queryPos), Side.NONE, Side.TOP)) {
                 negZShouldConnectTo = true;
             }
-            if (source.isBlockNormalCube(tilePos.add(0, 0, 1)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0), Side.NONE, Side.TOP)) {
+            if (source.isBlockNormalCube(tilePos.add(0, 0, 1, queryPos)) && shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0, queryPos), Side.NONE, Side.TOP)) {
                 posZShouldConnectTo = true;
             }
         }
@@ -378,14 +375,14 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     @Override
-    public void animationTick(@NotNull World world, @NotNull TilePos tilePos, @NotNull Random rand) {
+    public void animationTick(@NotNull World world, @NotNull TilePosc tilePos, @NotNull Random rand) {
         int meta = world.getBlockData(tilePos) & MASK_POWER;
         if (meta == 0) {
             return;
         }
-        double px = (double) tilePos.x + 0.5D + (rand.nextFloat() - 0.5D) * 0.2D;
-        double py = (double) tilePos.y + 0.0625D;
-        double pz = (double) tilePos.z + 0.5D + (rand.nextFloat() - 0.5D) * 0.2D;
+        double px = (double) tilePos.x() + 0.5D + (rand.nextFloat() - 0.5D) * 0.2D;
+        double py = (double) tilePos.y() + 0.0625D;
+        double pz = (double) tilePos.z() + 0.5D + (rand.nextFloat() - 0.5D) * 0.2D;
 
         final int redstoneBrightness = meta & 0xF;
 
@@ -426,14 +423,15 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     public static boolean shouldConnectToDiagonal(@NotNull WorldSource worldSource, @NotNull TilePos tilePos, @NotNull Side side1, @NotNull Side side2) {
-        if (!(side2 == Side.TOP || side2 == Side.BOTTOM)) return false; // Maybe some can generate a connection if placed below a block in the future?
+        if (!(side2 == Side.TOP || side2 == Side.BOTTOM))
+            return false; // Maybe some can generate a connection if placed below a block in the future?
 
         int blockId = worldSource.getBlockId(tilePos);
         return blockId == Blocks.WIRE_REDSTONE.id();
     }
 
     @Override
-    public @NotNull ISupport getSupportConstraint(@NotNull World world, @NotNull TilePos tilePos, @NotNull Side side) {
+    public @NotNull ISupport getSupportConstraint(@NotNull World world, @NotNull TilePosc tilePos, @NotNull Side side) {
         return side == Side.BOTTOM ? PartialSupport.INSTANCE.center() : PartialSupport.INSTANCE;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWool.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWool.java
index 94d3981a7..13149ae0d 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWool.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWool.java
@@ -1,14 +1,14 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.block.entity.TileEntity;
-import net.minecraft.core.block.material.Material;
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
@@ -16,11 +16,11 @@ public class BlockLogicWool extends BlockLogic implements IPainted
 {
     public BlockLogicWool(@NotNull Block<?> block) {
 
-        super(block, Material.cloth);
+        super(block, Materials.CLOTH);
     }
 
     @Override
-    public int getPlacedData(@Nullable Player player, @NotNull ItemStack itemStack, @NotNull World world, @NotNull TilePos tilePos, @NotNull Side side, double xHit, double yHit) {
+    public int getPlacedData(@Nullable Player player, @NotNull ItemStack itemStack, @NotNull World world, @NotNull TilePosc tilePos, @NotNull Side side, double xHit, double yHit) {
         return itemStack.getMetadata() & 0xF;
     }
 
@@ -46,7 +46,7 @@ public class BlockLogicWool extends BlockLogic implements IPainted
     }
 
     @Override
-    public void removeDye(@NotNull World world, @NotNull TilePos tilePos) {
+    public void removeDye(@NotNull World world, @NotNull TilePosc tilePos) {
         world.setBlockDataNotify(tilePos, 0);
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWorkbench.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWorkbench.java
index 0a129c713..5489d4f55 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWorkbench.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWorkbench.java
@@ -1,25 +1,22 @@
 package net.minecraft.core.block;
 
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public class BlockLogicWorkbench extends BlockLogic
-{
+public class BlockLogicWorkbench extends BlockLogic {
 
-	public BlockLogicWorkbench(@NotNull Block<?> block)
-    {
-        super(block, Material.wood);
+    public BlockLogicWorkbench(@NotNull Block<?> block) {
+        super(block, Materials.WOOD);
     }
 
     @Override
-    public boolean onInteracted(@NotNull World world, @NotNull TilePos tilePos, @NotNull Player player, @Nullable Side side, double xHit, double yHit) {
-        if (!world.isClientSide)
-        {
+    public boolean onInteracted(@NotNull World world, @NotNull TilePosc tilePos, @NotNull Player player, @Nullable Side side, double xHit, double yHit) {
+        if (!world.isClientSide) {
             player.displayWorkbenchScreen(tilePos);
         }
         return true;
